package com.hack23.cia.service.user.impl;

import java.io.IOException;
import java.net.URL;

import junit.framework.Assert;

import org.hisrc.hifaces20.testing.net.URLUtils;
import org.hisrc.hifaces20.testing.webappenvironment.WebAppEnvironment;
import org.hisrc.hifaces20.testing.webappenvironment.annotations.PropertiesWebAppEnvironmentConfig;
import org.hisrc.hifaces20.testing.webappenvironment.testing.junit4.WebAppEnvironmentRule;
import org.junit.Rule;
import org.junit.Test;
import org.junit.rules.MethodRule;

public class ApplicationStartsIT {

	@Rule
	public MethodRule webAppEnvironmentRule = WebAppEnvironmentRule.INSTANCE;

	@PropertiesWebAppEnvironmentConfig("src/test/resources/test-web.properties")
	public WebAppEnvironment webAppEnvironment;

	@Test
	public void checkApplicationStarts() throws IOException{

		Assert.assertTrue(webAppEnvironment.isStarted());
		Assert.assertNotNull(URLUtils.getContentAsString(new URL(webAppEnvironment.getBaseUrl() + "/webservice/UserServicePort?wsdl")));
	}
}
